<div class="modal-content" style="display: -webkit-inline-box;">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Modifica Funzione  {{function.description}} </h4>
    </div>
    <div class="modal-body">
            <form #insertFormRef="ngForm" name="myForm">

  
        <div class="row">

            <div class="col-md-3">
                <label><strong>Descrizione: </strong></label>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <div class="col" [ngClass]="{'has-error' : (descriptionRef.invalid && (descriptionRef.dirty || descriptionRef.touched))}">
                    <input type="text" class="form-control form-control-sm" maxlength="500"
                        [(ngModel)]="functionCriteria.description" name="description" required #descriptionRef="ngModel">
                        <div *ngIf="(descriptionRef.invalid && (descriptionRef.dirty || descriptionRef.touched))"
                        class="validation-messages">
                        <div *ngIf="descriptionRef.errors.required; then requiredErr else invalidErr"></div>
                        <ng-template #requiredErr>Campo Obbligatorio</ng-template>
                        <ng-template #invalidErr>{{descriptionRef.errors.error}}</ng-template>                    </div>
                    </div>
    
            <div class="col-md-1"></div>

        </div>
        
            </form>
    </div>
    <div class="modal-footer ">
<div class="row">
        <div class="col">
                <button (click)="close()" type="button" class="btn btn-sm btn-danger size buttonCancel"
                >Annulla</button>
                <button type="submit" class="btn btn-sm btn-success size buttonConfirm" 
                (click)="toggleResults()" [disabled]="!insertFormRef.valid">Salva</button>
        </div>

    </div>

    </div>